# Las funciones mezcla Hermite:
#
P1(t) =  2*t*t*t - 3*t*t + 1
P4(t) = -2*t*t*t + 3*t*t
R1(t) =    t*t*t - 2*t*t + t
R4(t) =    t*t*t - t*t
# 
# Las curvas
x1(t) = 2*P1(t) + 8*P4(t) - 40*R1(t)
y1(t) = 4*P1(t) + 4*P4(t) - 40*R4(t)
#
k = 40/sqrt(2)
x2(t) = 2*P1(t) + 8*P4(t) - k*R1(t)
y2(t) = 4*P1(t) + 4*P4(t) + k*R1(t) - 40*R4(t)
#
x3(t) = 2*P1(t) + 8*P4(t) 
y3(t) = 4*P1(t) + 4*P4(t) + 40*R1(t) - 40*R4(t)
#
x4(t) = 2*P1(t) + 8*P4(t) + k*R1(t)
y4(t) = 4*P1(t) + 4*P4(t) + k*R1(t) - 40*R4(t)
#
x5(t) = 2*P1(t) + 8*P4(t) + 40*R1(t)
y5(t) = 4*P1(t) + 4*P4(t) - 40*R4(t)
#
x6(t) = 2*P1(t) + 8*P4(t)
y6(t) = 4*P1(t) + 4*P4(t) - 40*R1(t) - 40*R4(t)
#
set parametric
set trange [0:1]
# set yrange [0:5]
plot x1(t), y1(t), \
	x2(t), y2(t), \
	x3(t), y3(t), \
	x4(t), y4(t), \
	x5(t), y5(t), \
	x6(t), y6(t)  
pause -1
